> ## Documentation Index
> Fetch the complete documentation index at: https://docs.granola.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Notes

> List all accessible meeting notes with pagination. Filter by date, fetch notes from shared workspace folders.



## OpenAPI

````yaml GET /v1/notes
openapi: 3.1.0
info:
  title: Granola API
  version: 1.0.0
  description: API for accessing meeting data from Granola
servers:
  - url: https://public-api.granola.ai
    description: Production
security: []
paths:
  /v1/notes:
    get:
      summary: List notes
      parameters:
        - schema:
            anyOf:
              - type: string
                format: date
              - type: string
                format: date-time
            description: Return notes created before this date
            examples:
              - '2026-01-27'
              - '2026-01-27T15:30:00Z'
          required: false
          name: created_before
          in: query
        - schema:
            anyOf:
              - type: string
                format: date
              - type: string
                format: date-time
            description: Return notes created after this date
            examples:
              - '2026-01-27'
              - '2026-01-27T15:30:00Z'
          required: false
          name: created_after
          in: query
        - schema:
            anyOf:
              - type: string
                format: date
              - type: string
                format: date-time
            description: Return notes updated after this date
            examples:
              - '2026-01-27'
              - '2026-01-27T15:30:00Z'
          required: false
          name: updated_after
          in: query
        - schema:
            type: string
            description: The cursor to continue from
            example: eyJjcmVkZW50aWFsfQ==
          required: false
          name: cursor
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 30
            default: 10
            description: Maximum number of notes to return per page
            example: 10
          required: false
          name: page_size
          in: query
      responses:
        '200':
          description: List of notes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListNotesOutput'
        '400':
          description: Bad request
        '401':
          description: Unauthorized - Invalid API key
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ListNotesOutput:
      type: object
      properties:
        notes:
          type: array
          items:
            $ref: '#/components/schemas/NoteSummary'
        hasMore:
          type: boolean
          description: Whether there are more notes to fetch
          example: true
        cursor:
          type:
            - string
            - 'null'
          description: The cursor to continue from
          example: eyJjcmVkZW50aWFsfQ==
      required:
        - notes
        - hasMore
        - cursor
    NoteSummary:
      type: object
      properties:
        id:
          type: string
          pattern: ^not_[a-zA-Z0-9]{14}$
          description: The ID of the note
          example: not_1d3tmYTlCICgjy
        object:
          type: string
          enum:
            - note
          description: The object type of the note
        title:
          type:
            - string
            - 'null'
          description: The title of the note
          example: Quarterly yoghurt budget review
        owner:
          $ref: '#/components/schemas/User'
        created_at:
          type: string
          format: date-time
          description: The creation time of the note
          example: '2026-01-27T15:30:00Z'
        updated_at:
          type: string
          format: date-time
          description: The last update time of the note
          example: '2026-01-27T16:45:00Z'
      required:
        - id
        - object
        - title
        - owner
        - created_at
        - updated_at
    User:
      type: object
      properties:
        name:
          type:
            - string
            - 'null'
          description: The name of the user
          example: Oat Benson
        email:
          type: string
          format: email
          description: The email of the user
          example: oat@granola.ai
      required:
        - name
        - email
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey

````